Bug 1247564 - sepolgen: TypeError: must use keyword argument for key function
sepolgen: TypeError: must use keyword argument for key function
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Lautrbach
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1076441
  Show dependency treegraph
 
Reported: 2015-07-28 06:38 EDT by Petr Lautrbach
Modified: 2015-08-14 22:20 EDT (History)
3 users (show)

See Also:
Fixed In Version: policycoreutils-2.4-8.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-14 22:20:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Lautrbach 2015-07-28 06:38:16 EDT
Description of problem:

# ausearch -m avc  |audit2allow                                                                                                                                                                                       
Traceback (most recent call last):
  File "/usr/bin/audit2allow", line 360, in <module>
    app.main()
  File "/usr/bin/audit2allow", line 348, in main
    self.__output()
  File "/usr/bin/audit2allow", line 336, in __output
    writer.write(g.get_module(), fd)
  File "/usr/lib64/python3.4/site-packages/sepolgen/output.py", line 48, in write
    sort_filter(self.module)
  File "/usr/lib64/python3.4/site-packages/sepolgen/output.py", line 175, in sort_filter
    sort_node(node)
  File "/usr/lib64/python3.4/site-packages/sepolgen/output.py", line 134, in sort_node
    rules.sort(rule_cmp)
TypeError: must use keyword argument for key function

# rpm -qf /usr/lib64/python3.4/site-packages/sepolgen/output.py
policycoreutils-python3-2.4-5.fc24.x86_64
Comment 1 Fedora Update System 2015-08-06 12:22:59 EDT
policycoreutils-2.4-8.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/policycoreutils-2.4-8.fc23
Comment 2 Fedora Update System 2015-08-08 12:19:52 EDT
Package policycoreutils-2.4-8.fc23:
* should fix your issue,
* was pushed to the Fedora 23 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing policycoreutils-2.4-8.fc23'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13026/policycoreutils-2.4-8.fc23
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2015-08-14 22:20:52 EDT
policycoreutils-2.4-8.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.